Skip to main content
GET
/
api
/
v1
/
calendar-bookings
List bookings
curl --request GET \
  --url https://prod.featherhq.com/api/v1/calendar-bookings \
  --header 'X-API-Key: <api-key>'
{
  "bookings": [
    {
      "id": "<string>",
      "organizationId": "<string>",
      "calendarId": "<string>",
      "eventTypeId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "startTime": "<string>",
      "endTime": "<string>",
      "timezone": "<string>",
      "status": "CONFIRMED",
      "attendeeName": "<string>",
      "attendeeEmail": "<string>",
      "attendeePhone": "<string>",
      "location": "<string>",
      "meetLink": "<string>",
      "agentCallId": "<string>",
      "leadId": "<string>",
      "cancelledAt": "<string>",
      "cancellationReason": "<string>",
      "rescheduledFromId": "<string>",
      "rescheduledToId": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "metadata": null
    }
  ],
  "pagination": {
    "limit": 123,
    "nextCursor": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

cursor
string
limit
string
default:10
calendarId
string
status
enum<string>
Available options:
CONFIRMED,
CANCELLED,
RESCHEDULED,
NO_SHOW
startDate
string<date>
endDate
string<date>

Response

List of bookings

bookings
object[]
required
pagination
object
required